---
title: "Hardkernel Odroid Kubernetes Cluster"
date: 2022-06-16
draft: false
---

Say hello to my little odroid kubernetes cluster project.

Details are: 5 x Odroid-MC1's as worker nodes. All up 10gb RAM and 40 cores. 1 x
Odroid-N2 as master node. Plus 5v 20a power supply and Netgear GS108.

Got parts as a Christmas present to myself some years ago with no plan as to
what I was going to with them. While putting it together I though I could use it
to learn Kubernetes as I've seen others do similar things.

I followed
[this](https://www.digitalocean.com/community/tutorials/how-to-create-a-kubernetes-cluster-using-kubeadm-on-ubuntu-18-04)
tutorial loosely and it's all working wonderfully. It's cool to be introduced to
ansible, which I had heard about but not used before. I'm currently developing
some apps that I'd like to run on it.

![My odroid MC1 and N2 cluster](/images/odroid-cluster-2.jpg)

-ink

## Update Mid 2021

I decided to totally rebuild this having never been able to get Rancher set up
on it. See the details of that
[here](https://www.inkletblot.com/projects/k3s-on-odroid-mc1s-a-guide)

-ink

## Update 2021-12-21

I have sadly now decomissioned this little cluster. The five MC1 units are
currently unused and the N2 is now my media PC in my bedroom. Not all is sad
though, I decomissiod it because I replaced it with a bigger and better setup
using old HP t620 thin clients, of which I got 5 for a rediculously good price
at a local IT liquidation auction. See more
[here](https://www.inkletblot.com/projects/an-old-new-upgrade-to-kube)

-ink
